Zero Trust

ZeroTrust

ZeroTrust.Access

Zero TrustAccess

AI Controls

ZeroTrust.Access.AIControls

ZeroTrust.Access.AIControls.Mcp

ZeroTrust.Access.AIControls.Mcp.Portals

Methods

list(, ): <>
get/accounts/{account_id}/access/ai-controls/mcp/portals

List MCP Portals

create(, ):
post/accounts/{account_id}/access/ai-controls/mcp/portals

Create a new MCP Portal

read(, , ):
get/accounts/{account_id}/access/ai-controls/mcp/portals/{id}

Read details of an MCP Portal

update(, , ):
put/accounts/{account_id}/access/ai-controls/mcp/portals/{id}

Update a MCP Portal

delete(, , ):
delete/accounts/{account_id}/access/ai-controls/mcp/portals/{id}

Delete a MCP Portal

ZeroTrust.Access.AIControls.Mcp.Servers

Methods

list(, ): <>
get/accounts/{account_id}/access/ai-controls/mcp/servers

List MCP Servers

create(, ):
post/accounts/{account_id}/access/ai-controls/mcp/servers

Create a new MCP Server

read(, , ):
get/accounts/{account_id}/access/ai-controls/mcp/servers/{id}

Read the details of a MCP Server

update(, , ):
put/accounts/{account_id}/access/ai-controls/mcp/servers/{id}

Update a MCP Server

delete(, , ):
delete/accounts/{account_id}/access/ai-controls/mcp/servers/{id}

Delete a MCP Server

sync(, , ):
post/accounts/{account_id}/access/ai-controls/mcp/servers/{id}/sync

Sync MCP Server Capabilities

Zero TrustAccess

Applications

ZeroTrust.Access.Applications

Methods

list(, ): <>
get/{accounts_or_zones}/{account_or_zone_id}/access/apps

Lists all Access applications in an account or zone.

get(, , ):
get/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}

Fetches information about an Access application.

create(, ):
post/{accounts_or_zones}/{account_or_zone_id}/access/apps

Adds a new application to Access.

update(, , ):
put/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}

Updates an Access application.

delete(, , ):
delete/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}

Deletes an application from Access.

revokeTokens(, , ): | null
post/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/revoke_tokens

Revokes all tokens issued for an application.

Domain types

AllowedHeaders = string
AllowedIdPs = string

The identity providers selected for application.

AllowedMethods = "GET" | "POST" | "HEAD" | 6 more...
AllowedOrigins = string
AppID = string

Identifier.

ApplicationPolicy{…}
ApplicationSCIMConfig{…}

Configuration for provisioning to this application via SCIM. This is currently in closed beta.

ApplicationType = "self_hosted" | "saas" | "ssh" | 11 more...

The application type.

CORSHeaders{…}
Decision = "allow" | "deny" | "non_identity" | 1 more...

The action Access will take if a user matches this policy. Infrastructure application policies can only use the Allow action.

OIDCSaaSApp{…}
SaaSAppNameIDFormat = "id" | "email"

The format of the name identifier sent to the SaaS application.

SAMLSaaSApp{…}
SCIMConfigAuthenticationHTTPBasic{…}

Attributes for configuring HTTP Basic authentication scheme for SCIM provisioning to an application.

SCIMConfigAuthenticationOauth2{…}

Attributes for configuring OAuth 2 authentication scheme for SCIM provisioning to an application.

SCIMConfigAuthenticationOAuthBearerToken{…}

Attributes for configuring OAuth Bearer Token authentication scheme for SCIM provisioning to an application.

SCIMConfigMapping{…}

Transformations and filters applied to resources before they are provisioned in the remote SCIM service.

SelfHostedDomains = string

A domain that Access will secure.

ZeroTrust.Access.Applications.CAs

Methods

list(, ): <>
get/{accounts_or_zones}/{account_or_zone_id}/access/apps/ca

Lists short-lived certificate CAs and their public keys.

get(, , ):
get/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/ca

Fetches a short-lived certificate CA and its public key.

create(, , ):
post/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/ca

Generates a new short-lived certificate CA and public key.

delete(, , ):
delete/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/ca

Deletes a short-lived certificate CA.

Domain types

CA{…}

ZeroTrust.Access.Applications.Policies

Methods

list(, , ): <>
get/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/policies

Lists Access policies configured for an application. Returns both exclusively scoped and reusable policies used by the application.

get(, , , ):
get/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/policies/{policy_id}

Fetches a single Access policy configured for an application. Returns both exclusively owned and reusable policies used by the application.

create(, , ):
post/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/policies

Creates a policy applying exclusive to a single application that defines the users or groups who can reach it. We recommend creating a reusable policy instead and subsequently referencing its ID in the application's 'policies' array.

update(, , , ):
put/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/policies/{policy_id}

Updates an Access policy specific to an application. To update a reusable policy, use the /account or zones/{account or zone_id}/policies/{uid} endpoint.

delete(, , , ):
delete/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/policies/{policy_id}

Deletes an Access policy specific to an application. To delete a reusable policy, use the /account or zones/{account or zone_id}/policies/{uid} endpoint.

Domain types

AccessDevicePostureRule{…}

Enforces a device posture rule has run successfully

Matches an Access group.

AnyValidServiceTokenRule{…}

Matches any valid Access Service Token

AuthenticationMethodRule{…}

Enforce different MFA options

AzureGroupRule{…}

Matches an Azure group. Requires an Azure identity provider.

CertificateRule{…}

Matches any valid client certificate.

CountryRule{…}

Matches a specific country

DomainRule{…}

Match an entire email domain.

EmailListRule{…}

Matches an email address from a list.

EmailRule{…}

Matches a specific email.

EveryoneRule{…}

Matches everyone.

ExternalEvaluationRule{…}

Create Allow or Block policies which evaluate the user based on custom criteria.

GitHubOrganizationRule{…}

Matches a Github organization. Requires a Github identity provider.

GroupRule{…}

Matches an Access group.

GSuiteGroupRule{…}

Matches a group in Google Workspace. Requires a Google Workspace identity provider.

IPListRule{…}

Matches an IP address from a list.

IPRule{…}

Matches an IP address block.

OktaGroupRule{…}

Matches an Okta group. Requires an Okta identity provider.

SAMLGroupRule{…}

Matches a SAML group. Requires a SAML identity provider.

ServiceTokenRule{…}

Matches a specific Access Service Token

ZeroTrust.Access.Applications.PolicyTests

Methods

get(, , ):
get/accounts/{account_id}/access/policy-tests/{policy_test_id}

Fetches the current status of a given Access policy test.

create(, ):
post/accounts/{account_id}/access/policy-tests

Starts an Access policy test.

ZeroTrust.Access.Applications.PolicyTests.Users

Methods

list(, , ): <>
get/accounts/{account_id}/access/policy-tests/{policy_test_id}/users

Fetches a single page of user results from an Access policy test.

ZeroTrust.Access.Applications.Settings

Methods

update(, , ):
put/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/settings

Updates Access application settings.

edit(, , ):
patch/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/settings

Updates Access application settings.

ZeroTrust.Access.Applications.UserPolicyChecks

Methods

list(, , ):
get/{accounts_or_zones}/{account_or_zone_id}/access/apps/{app_id}/user_policy_checks

Tests if a specific user has permission to access an application.

Domain types

UserPolicyCheckGeo{…}

ZeroTrust.Access.Bookmarks

Methods

list(, ): <>
Deprecated
get/accounts/{account_id}/access/bookmarks

Lists Bookmark applications.

get(, , ):
Deprecated
get/accounts/{account_id}/access/bookmarks/{bookmark_id}

Fetches a single Bookmark application.

create(, , ):
Deprecated
post/accounts/{account_id}/access/bookmarks/{bookmark_id}

Create a new Bookmark application.

update(, , ):
Deprecated
put/accounts/{account_id}/access/bookmarks/{bookmark_id}

Updates a configured Bookmark application.

delete(, , ):
Deprecated
delete/accounts/{account_id}/access/bookmarks/{bookmark_id}

Deletes a Bookmark application.

Domain types

Bookmark{…}
Zero TrustAccess

Certificates

ZeroTrust.Access.Certificates

Methods

list(, ): <>
get/{accounts_or_zones}/{account_or_zone_id}/access/certificates

Lists all mTLS root certificates.

get(, , ):
get/{accounts_or_zones}/{account_or_zone_id}/access/certificates/{certificate_id}

Fetches a single mTLS certificate.

create(, ):
post/{accounts_or_zones}/{account_or_zone_id}/access/certificates

Adds a new mTLS root certificate to Access.

update(, , ):
put/{accounts_or_zones}/{account_or_zone_id}/access/certificates/{certificate_id}

Updates a configured mTLS certificate.

delete(, , ):
delete/{accounts_or_zones}/{account_or_zone_id}/access/certificates/{certificate_id}

Deletes an mTLS certificate.

Domain types

AssociatedHostnames = string

A fully-qualified domain name (FQDN).

Certificate{…}

ZeroTrust.Access.Certificates.Settings

Methods

get(, ): <>
get/{accounts_or_zones}/{account_or_zone_id}/access/certificates/settings

List all mTLS hostname settings for this account or zone.

update(, ): <>
put/{accounts_or_zones}/{account_or_zone_id}/access/certificates/settings

Updates an mTLS certificate's hostname settings.

Domain types

CertificateSettings{…}
Zero TrustAccess

Custom Pages

ZeroTrust.Access.CustomPages

Methods

list(, ): <>
get/accounts/{account_id}/access/custom_pages

List custom pages

get(, , ):
get/accounts/{account_id}/access/custom_pages/{custom_page_id}

Fetches a custom page and also returns its HTML.

create(, ):
post/accounts/{account_id}/access/custom_pages

Create a custom page

update(, , ):
put/accounts/{account_id}/access/custom_pages/{custom_page_id}

Update a custom page

delete(, , ):
delete/accounts/{account_id}/access/custom_pages/{custom_page_id}

Delete a custom page

Domain types

CustomPage{…}
CustomPageWithoutHTML{…}

ZeroTrust.Access.GatewayCA

Methods

list(, ): <>
get/accounts/{account_id}/access/gateway_ca

Lists SSH Certificate Authorities (CA).

create(, ):
post/accounts/{account_id}/access/gateway_ca

Adds a new SSH Certificate Authority (CA).

delete(, , ):
delete/accounts/{account_id}/access/gateway_ca/{certificate_id}

Deletes an SSH Certificate Authority.

ZeroTrust.Access.Groups

Methods

list(, ): <>
get/{accounts_or_zones}/{account_or_zone_id}/access/groups

Lists all Access groups.

get(, , ):
get/{accounts_or_zones}/{account_or_zone_id}/access/groups/{group_id}

Fetches a single Access group.

create(, ):
post/{accounts_or_zones}/{account_or_zone_id}/access/groups

Creates a new Access group.

update(, , ):
put/{accounts_or_zones}/{account_or_zone_id}/access/groups/{group_id}

Updates a configured Access group.

delete(, , ):
delete/{accounts_or_zones}/{account_or_zone_id}/access/groups/{group_id}

Deletes an Access group.

Domain types

ZeroTrustGroup{…}
Zero TrustAccess

Infrastructure

ZeroTrust.Access.Infrastructure

ZeroTrust.Access.Infrastructure.Targets

Methods

list(, ): <>
get/accounts/{account_id}/infrastructure/targets

Lists and sorts an account’s targets. Filters are optional and are ANDed together.

get(, , ):
get/accounts/{account_id}/infrastructure/targets/{target_id}

Get target

create(, ):
post/accounts/{account_id}/infrastructure/targets

Create new target

update(, , ):
put/accounts/{account_id}/infrastructure/targets/{target_id}

Update target

delete(, , ): void
delete/accounts/{account_id}/infrastructure/targets/{target_id}

Delete target

bulkUpdate(, ): <>
put/accounts/{account_id}/infrastructure/targets/batch

Adds one or more targets.

bulkDelete(, ): void
Deprecated
delete/accounts/{account_id}/infrastructure/targets/batch

Removes one or more targets.

bulkDeleteV2(, ): void
post/accounts/{account_id}/infrastructure/targets/batch_delete

Removes one or more targets.

ZeroTrust.Access.Keys

Methods

get(, ):
get/accounts/{account_id}/access/keys

Gets the Access key rotation settings for an account.

update(, ):
put/accounts/{account_id}/access/keys

Updates the Access key rotation settings for an account.

rotate(, ):
post/accounts/{account_id}/access/keys/rotate

Perfoms a key rotation for an account.

ZeroTrust.Access.Logs

Zero TrustAccessLogs

Access Requests

ZeroTrust.Access.Logs.AccessRequests

Methods

list(, ):
get/accounts/{account_id}/access/logs/access_requests

Gets a list of Access authentication audit logs for an account.

ZeroTrust.Access.Logs.SCIM

Domain types

AccessRequest{…}

ZeroTrust.Access.Logs.SCIM.Updates

Methods

list(, ): <>
get/accounts/{account_id}/access/logs/scim/updates

Lists Access SCIM update logs that maintain a record of updates made to User and Group resources synced to Cloudflare via the System for Cross-domain Identity Management (SCIM).

ZeroTrust.Access.Policies

Methods

list(, ): <>
get/accounts/{account_id}/access/policies

Lists Access reusable policies.

get(, , ):
get/accounts/{account_id}/access/policies/{policy_id}

Fetches a single Access reusable policy.

create(, ):
post/accounts/{account_id}/access/policies

Creates a new Access reusable policy.

update(, , ):
put/accounts/{account_id}/access/policies/{policy_id}

Updates a Access reusable policy.

delete(, , ):
delete/accounts/{account_id}/access/policies/{policy_id}

Deletes an Access reusable policy.

Domain types

ApprovalGroup{…}

A group of email addresses that can approve a temporary authentication request.

Policy{…}
Zero TrustAccess

Service Tokens

ZeroTrust.Access.ServiceTokens

Methods

list(, ): <>
get/{accounts_or_zones}/{account_or_zone_id}/access/service_tokens

Lists all service tokens.

get(, , ):
get/{accounts_or_zones}/{account_or_zone_id}/access/service_tokens/{service_token_id}

Fetches a single service token.

create(, ):
post/{accounts_or_zones}/{account_or_zone_id}/access/service_tokens

Generates a new service token. Note: This is the only time you can get the Client Secret. If you lose the Client Secret, you will have to rotate the Client Secret or create a new service token.

update(, , ):
put/{accounts_or_zones}/{account_or_zone_id}/access/service_tokens/{service_token_id}

Updates a configured service token.

delete(, , ):
delete/{accounts_or_zones}/{account_or_zone_id}/access/service_tokens/{service_token_id}

Deletes a service token.

refresh(, , ):
post/accounts/{account_id}/access/service_tokens/{service_token_id}/refresh

Refreshes the expiration of a service token.

rotate(, , ):
post/accounts/{account_id}/access/service_tokens/{service_token_id}/rotate

Generates a new Client Secret for a service token and revokes the old one.

Domain types

ServiceToken{…}

ZeroTrust.Access.Tags

Methods

list(, ): <>
get/accounts/{account_id}/access/tags

List tags

get(, , ):
get/accounts/{account_id}/access/tags/{tag_name}

Get a tag

create(, ):
post/accounts/{account_id}/access/tags

Create a tag

update(, , ):
put/accounts/{account_id}/access/tags/{tag_name}

Update a tag

delete(, , ):
delete/accounts/{account_id}/access/tags/{tag_name}

Delete a tag

Domain types

Tag{…}

A tag

ZeroTrust.Access.Users

Methods

list(, ): <>
get/accounts/{account_id}/access/users

Gets a list of users for an account.

Domain types

AccessUser{…}
Zero TrustAccessUsers

Active Sessions

ZeroTrust.Access.Users.ActiveSessions

Methods

list(, , ): <>
get/accounts/{account_id}/access/users/{user_id}/active_sessions

Get active sessions for a single user.

get(, , , ):
get/accounts/{account_id}/access/users/{user_id}/active_sessions/{nonce}

Get an active session for a single user.

ZeroTrust.Access.Users.FailedLogins

Methods

list(, , ): <>
get/accounts/{account_id}/access/users/{user_id}/failed_logins

Get all failed login attempts for a single user.

Zero TrustAccessUsers

Last Seen Identity

ZeroTrust.Access.Users.LastSeenIdentity

Methods

get(, , ):
get/accounts/{account_id}/access/users/{user_id}/last_seen_identity

Get last seen identity for a single user.

Domain types

Identity{…}
Zero Trust

Connectivity Settings

ZeroTrust.ConnectivitySettings

Methods

get(, ):
get/accounts/{account_id}/zerotrust/connectivity_settings

Gets the Zero Trust Connectivity Settings for the given account.

edit(, ):
patch/accounts/{account_id}/zerotrust/connectivity_settings

Updates the Zero Trust Connectivity Settings for the given account.

Zero Trust

Devices

ZeroTrust.Devices

Methods

list(, ): <>
Deprecated
get/accounts/{account_id}/devices

List WARP devices. Not supported when multi-user mode is enabled for the account.

Deprecated: please use one of the following endpoints instead:

  • GET /accounts/{account_id}/devices/physical-devices
  • GET /accounts/{account_id}/devices/registrations
get(, , ): | null
Deprecated
get/accounts/{account_id}/devices/{device_id}

Fetches a single WARP device. Not supported when multi-user mode is enabled for the account.

Deprecated: please use one of the following endpoints instead:

  • GET /accounts/{account_id}/devices/physical-devices/{device_id}
  • GET /accounts/{account_id}/devices/registrations/{registration_id}

Domain types

Device{…}

ZeroTrust.Devices.Devices

Methods

list(, ): <>
get/accounts/{account_id}/devices/physical-devices

Lists WARP devices.

get(, , ):
get/accounts/{account_id}/devices/physical-devices/{device_id}

Fetches a single WARP device.

delete(, , ): | null
delete/accounts/{account_id}/devices/physical-devices/{device_id}

Deletes a WARP device.

revoke(, , ): | null
post/accounts/{account_id}/devices/physical-devices/{device_id}/revoke

Revokes all WARP registrations associated with the specified device.

ZeroTrust.Devices.DEXTests

Methods

list(, ): <>
get/accounts/{account_id}/dex/devices/dex_tests

Fetch all DEX tests

get(, , ):
get/accounts/{account_id}/dex/devices/dex_tests/{dex_test_id}

Fetch a single DEX test.

create(, ):
post/accounts/{account_id}/dex/devices/dex_tests

Create a DEX test.

update(, , ):
put/accounts/{account_id}/dex/devices/dex_tests/{dex_test_id}

Update a DEX test.

delete(, , ):
delete/accounts/{account_id}/dex/devices/dex_tests/{dex_test_id}

Delete a Device DEX test. Returns the remaining device dex tests for the account.

Domain types

SchemaData{…}

The configuration object which contains the details for the WARP client to conduct the test.

SchemaHTTP{…}
Zero TrustDevices

Fleet Status

ZeroTrust.Devices.FleetStatus

Methods

get(, , ):
get/accounts/{account_id}/dex/devices/{device_id}/fleet-status/live

Get the live status of a latest device given device_id from the device_state table

ZeroTrust.Devices.Networks

Methods

list(, ): <>
get/accounts/{account_id}/devices/networks

Fetches a list of managed networks for an account.

get(, , ): | null
get/accounts/{account_id}/devices/networks/{network_id}

Fetches details for a single managed network.

create(, ): | null
post/accounts/{account_id}/devices/networks

Creates a new device managed network.

update(, , ): | null
put/accounts/{account_id}/devices/networks/{network_id}

Updates a configured device managed network.

delete(, , ): <>
delete/accounts/{account_id}/devices/networks/{network_id}

Deletes a device managed network and fetches a list of the remaining device managed networks for an account.

Domain types

DeviceNetwork{…}
Zero TrustDevices

Override Codes

ZeroTrust.Devices.OverrideCodes

Methods

list(, , ): <>
Deprecated
get/accounts/{account_id}/devices/{device_id}/override_codes

Fetches a one-time use admin override code for a device. This relies on the Admin Override setting being enabled in your device configuration. Not supported when multi-user mode is enabled for the account. Deprecated: please use GET /accounts/{account_id}/devices/registrations/{registration_id}/override_codes instead.

get(, , ):
get/accounts/{account_id}/devices/registrations/{registration_id}/override_codes

Fetches one-time use admin override codes for a registration. This relies on the Admin Override setting being enabled in your device configuration.

ZeroTrust.Devices.Policies

Domain types

DevicePolicyCertificates{…}
FallbackDomain{…}
FallbackDomainPolicy = Array<> | null
SettingsPolicy{…}

ZeroTrust.Devices.Policies.Custom

Methods

list(, ): <>
get/accounts/{account_id}/devices/policies

Fetches a list of the device settings profiles for an account.

get(, , ): | null
get/accounts/{account_id}/devices/policy/{policy_id}

Fetches a device settings profile by ID.

create(, ): | null
post/accounts/{account_id}/devices/policy

Creates a device settings profile to be applied to certain devices matching the criteria.

edit(, , ): | null
patch/accounts/{account_id}/devices/policy/{policy_id}

Updates a configured device settings profile.

delete(, , ): <>
delete/accounts/{account_id}/devices/policy/{policy_id}

Deletes a device settings profile and fetches a list of the remaining profiles for an account.

ZeroTrust.Devices.Policies.Custom.Excludes

Methods

get(, , ): <>
get/accounts/{account_id}/devices/policy/{policy_id}/exclude

Fetches the list of routes excluded from the WARP client's tunnel for a specific device settings profile.

update(, , ): <>
put/accounts/{account_id}/devices/policy/{policy_id}/exclude

Sets the list of routes excluded from the WARP client's tunnel for a specific device settings profile.

ZeroTrust.Devices.Policies.Custom.FallbackDomains

Methods

get(, , ): <>
get/accounts/{account_id}/devices/policy/{policy_id}/fallback_domains

Fetches the list of domains to bypass Gateway DNS resolution from a specified device settings profile. These domains will use the specified local DNS resolver instead.

update(, , ): <>
put/accounts/{account_id}/devices/policy/{policy_id}/fallback_domains

Sets the list of domains to bypass Gateway DNS resolution. These domains will use the specified local DNS resolver instead. This will only apply to the specified device settings profile.

ZeroTrust.Devices.Policies.Custom.Includes

Methods

get(, , ): <>
get/accounts/{account_id}/devices/policy/{policy_id}/include

Fetches the list of routes included in the WARP client's tunnel for a specific device settings profile.

update(, , ): <>
put/accounts/{account_id}/devices/policy/{policy_id}/include

Sets the list of routes included in the WARP client's tunnel for a specific device settings profile.

ZeroTrust.Devices.Policies.Default

Methods

get(, ): | null
get/accounts/{account_id}/devices/policy

Fetches the default device settings profile for an account.

edit(, ): | null
patch/accounts/{account_id}/devices/policy

Updates the default device settings profile for an account.

ZeroTrust.Devices.Policies.Default.Certificates

Methods

get(, ): | null
get/zones/{zone_id}/devices/policy/certificates

Fetches device certificate provisioning.

edit(, ): | null
patch/zones/{zone_id}/devices/policy/certificates

Enable Zero Trust Clients to provision a certificate, containing a x509 subject, and referenced by Access device posture policies when the client visits MTLS protected domains. This facilitates device posture without a WARP session.

ZeroTrust.Devices.Policies.Default.Excludes

Methods

get(, ): <>
get/accounts/{account_id}/devices/policy/exclude

Fetches the list of routes excluded from the WARP client's tunnel.

update(, ): <>
put/accounts/{account_id}/devices/policy/exclude

Sets the list of routes excluded from the WARP client's tunnel.

ZeroTrust.Devices.Policies.Default.FallbackDomains

Methods

get(, ): <>
get/accounts/{account_id}/devices/policy/fallback_domains

Fetches a list of domains to bypass Gateway DNS resolution. These domains will use the specified local DNS resolver instead.

update(, ): <>
put/accounts/{account_id}/devices/policy/fallback_domains

Sets the list of domains to bypass Gateway DNS resolution. These domains will use the specified local DNS resolver instead.

ZeroTrust.Devices.Policies.Default.Includes

Methods

get(, ): <>
get/accounts/{account_id}/devices/policy/include

Fetches the list of routes included in the WARP client's tunnel.

update(, ): <>
put/accounts/{account_id}/devices/policy/include

Sets the list of routes included in the WARP client's tunnel.

ZeroTrust.Devices.Posture

Methods

list(, ): <>
get/accounts/{account_id}/devices/posture

Fetches device posture rules for a Zero Trust account.

get(, , ): | null
get/accounts/{account_id}/devices/posture/{rule_id}

Fetches a single device posture rule.

create(, ): | null
post/accounts/{account_id}/devices/posture

Creates a new device posture rule.

update(, , ): | null
put/accounts/{account_id}/devices/posture/{rule_id}

Updates a device posture rule.

delete(, , ): | null
delete/accounts/{account_id}/devices/posture/{rule_id}

Deletes a device posture rule.

Domain types

CarbonblackInput = string
ClientCertificateInput{…}
CrowdstrikeInput{…}
DeviceInput = | | | 17 more...

The value to be checked against.

DeviceMatch{…}
DevicePostureRule{…}
DiskEncryptionInput{…}
DomainJoinedInput{…}
FileInput{…}
FirewallInput{…}
IntuneInput{…}
KolideInput{…}
OSVersionInput{…}
SentineloneInput{…}
SentineloneS2sInput{…}
TaniumInput{…}
UniqueClientIDInput{…}
WorkspaceOneInput{…}

ZeroTrust.Devices.Posture.Integrations

Methods

list(, ): <>
get/accounts/{account_id}/devices/posture/integration

Fetches the list of device posture integrations for an account.

get(, , ): | null
get/accounts/{account_id}/devices/posture/integration/{integration_id}

Fetches details for a single device posture integration.

create(, ): | null
post/accounts/{account_id}/devices/posture/integration

Create a new device posture integration.

edit(, , ): | null
patch/accounts/{account_id}/devices/posture/integration/{integration_id}

Updates a configured device posture integration.

delete(, , ): | null
delete/accounts/{account_id}/devices/posture/integration/{integration_id}

Delete a configured device posture integration.

Domain types

Integration{…}
Zero TrustDevices

Registrations

ZeroTrust.Devices.Registrations

Methods

list(, ): <>
get/accounts/{account_id}/devices/registrations

Lists WARP registrations.

get(, , ):
get/accounts/{account_id}/devices/registrations/{registration_id}

Fetches a single WARP registration.

delete(, , ): | null
delete/accounts/{account_id}/devices/registrations/{registration_id}

Deletes a WARP registration.

bulkDelete(, ): | null
delete/accounts/{account_id}/devices/registrations

Deletes a list of WARP registrations.

revoke(, ): | null
post/accounts/{account_id}/devices/registrations/revoke

Revokes a list of WARP registrations.

unrevoke(, ): | null
post/accounts/{account_id}/devices/registrations/unrevoke

Unrevokes a list of WARP registrations.

ZeroTrust.Devices.Resilience

Zero TrustDevicesResilience

Global WARP Override

ZeroTrust.Devices.Resilience.GlobalWARPOverride

Methods

get(, ): | null
get/accounts/{account_id}/devices/resilience/disconnect

Fetch the Global WARP override state.

create(, ): | null
post/accounts/{account_id}/devices/resilience/disconnect

Sets the Global WARP override state.

ZeroTrust.Devices.Revoke

Methods

create(, ): | null
Deprecated
post/accounts/{account_id}/devices/revoke

Revokes a list of devices. Not supported when multi-user mode is enabled.

Deprecated: please use POST /accounts/{account_id}/devices/registrations/revoke instead.

ZeroTrust.Devices.Settings

Methods

get(, ): | null
get/accounts/{account_id}/devices/settings

Describes the current device settings for a Zero Trust account.

update(, ): | null
put/accounts/{account_id}/devices/settings

Updates the current device settings for a Zero Trust account.

edit(, ): | null
patch/accounts/{account_id}/devices/settings

Patches the current device settings for a Zero Trust account.

delete(, ): | null
delete/accounts/{account_id}/devices/settings

Resets the current device settings for a Zero Trust account.

Domain types

DeviceSettings{…}

ZeroTrust.Devices.Unrevoke

Methods

create(, ): | null
Deprecated
post/accounts/{account_id}/devices/unrevoke

Unrevokes a list of devices. Not supported when multi-user mode is enabled.

Deprecated: please use POST /accounts/{account_id}/devices/registrations/unrevoke instead.

ZeroTrust.DEX

Domain types

DigitalExperienceMonitor{…}
NetworkPath{…}
NetworkPathResponse{…}
Percentiles{…}

ZeroTrust.DEX.Colos

Methods

list(, ): <>
get/accounts/{account_id}/dex/colos

List Cloudflare colos that account's devices were connected to during a time period, sorted by usage starting from the most used colo. Colos without traffic are also returned and sorted alphabetically.

ZeroTrust.DEX.Commands

Methods

list(, ): <>
get/accounts/{account_id}/dex/commands

Retrieves a paginated list of commands issued to devices under the specified account, optionally filtered by time range, device, or other parameters

create(, ):
post/accounts/{account_id}/dex/commands

Initiate commands for up to 10 devices per account

ZeroTrust.DEX.Commands.Devices

Methods

list(, ): <>
get/accounts/{account_id}/dex/commands/devices

List devices with WARP client support for remote captures which have been connected in the last 1 hour.

ZeroTrust.DEX.Commands.Downloads

Methods

get(, , , ):
get/accounts/{account_id}/dex/commands/{command_id}/downloads/{filename}

Downloads artifacts for an executed command. Bulk downloads are not supported

ZeroTrust.DEX.Commands.Quota

Methods

get(, ):
get/accounts/{account_id}/dex/commands/quota

Retrieves the current quota usage and limits for device commands within a specific account, including the time when the quota will reset

Zero TrustDEX

Fleet Status

ZeroTrust.DEX.FleetStatus

Methods

live(, ):
get/accounts/{account_id}/dex/fleet-status/live

List details for live (up to 60 minutes) devices using WARP

overTime(, ):
get/accounts/{account_id}/dex/fleet-status/over-time

List details for devices using WARP, up to 7 days

Domain types

LiveStat{…}

ZeroTrust.DEX.FleetStatus.Devices

Methods

list(, ): <>
get/accounts/{account_id}/dex/fleet-status/devices

List details for devices using WARP

Zero TrustDEX

HTTP Tests

ZeroTrust.DEX.HTTPTests

Methods

get(, , ):
get/accounts/{account_id}/dex/http-tests/{test_id}

Get test details and aggregate performance metrics for an http test for a given time period between 1 hour and 7 days.

Domain types

HTTPDetails{…}

ZeroTrust.DEX.HTTPTests.Percentiles

Methods

get(, , ):
get/accounts/{account_id}/dex/http-tests/{test_id}/percentiles

Get percentiles for an http test for a given time period between 1 hour and 7 days.

Domain types

HTTPDetailsPercentiles{…}
TestStatOverTime{…}

ZeroTrust.DEX.Tests

Methods

list(, ): <>
get/accounts/{account_id}/dex/tests/overview

List DEX tests with overview metrics

Domain types

AggregateTimePeriod{…}
Tests{…}
Zero TrustDEXTests

Unique Devices

ZeroTrust.DEX.Tests.UniqueDevices

Methods

list(, ):
get/accounts/{account_id}/dex/tests/unique-devices

Returns unique count of devices that have run synthetic application monitoring tests in the past 7 days.

Domain types

UniqueDevices{…}
Zero TrustDEX

Traceroute Test Results

ZeroTrust.DEX.TracerouteTestResults

ZeroTrust.DEX.TracerouteTestResults.NetworkPath

Methods

get(, , ):
get/accounts/{account_id}/dex/traceroute-test-results/{test_result_id}/network-path

Get a breakdown of hops and performance metrics for a specific traceroute test run

Zero TrustDEX

Traceroute Tests

ZeroTrust.DEX.TracerouteTests

Methods

get(, , ):
get/accounts/{account_id}/dex/traceroute-tests/{test_id}

Get test details and aggregate performance metrics for an traceroute test for a given time period between 1 hour and 7 days.

percentiles(, , ):
get/accounts/{account_id}/dex/traceroute-tests/{test_id}/percentiles

Get percentiles for a traceroute test for a given time period between 1 hour and 7 days.

networkPath(, , ):
get/accounts/{account_id}/dex/traceroute-tests/{test_id}/network-path

Get a breakdown of metrics by hop for individual traceroute test runs

Domain types

Traceroute{…}
Zero TrustDEX

WARP Change Events

ZeroTrust.DEX.WARPChangeEvents

Methods

get(, ):
get/accounts/{account_id}/dex/warp-change-events

List WARP configuration and enablement toggle change events by device.

ZeroTrust.DLP

ZeroTrust.DLP.Datasets

Methods

list(, ): <>
get/accounts/{account_id}/dlp/datasets

Fetch all datasets

get(, , ):
get/accounts/{account_id}/dlp/datasets/{dataset_id}

Fetch a specific dataset

create(, ):
post/accounts/{account_id}/dlp/datasets

Create a new dataset

update(, , ):
put/accounts/{account_id}/dlp/datasets/{dataset_id}

Update details about a dataset

delete(, , ): void
delete/accounts/{account_id}/dlp/datasets/{dataset_id}

This deletes all versions of the dataset.

Domain types

Dataset{…}
DatasetArray = Array<>
DatasetCreation{…}

ZeroTrust.DLP.Datasets.Upload

Methods

create(, , ):
post/accounts/{account_id}/dlp/datasets/{dataset_id}/upload

Prepare to upload a new version of a dataset

edit(, , , , ):
post/accounts/{account_id}/dlp/datasets/{dataset_id}/upload/{version}

This is used for single-column EDMv1 and Custom Word Lists. The EDM format can only be created in the Cloudflare dashboard. For other clients, this operation can only be used for non-secret Custom Word Lists. The body must be a UTF-8 encoded, newline (NL or CRNL) separated list of words to be matched.

Domain types

NewVersion{…}

ZeroTrust.DLP.Datasets.Versions

Methods

create(, , , ): <>
post/accounts/{account_id}/dlp/datasets/{dataset_id}/versions/{version}

This is used for multi-column EDMv2 datasets. The EDMv2 format can only be created in the Cloudflare dashboard. The columns in the response appear in the same order as in the request.

ZeroTrust.DLP.Datasets.Versions.Entries

Methods

create(, , , , , ):
post/accounts/{account_id}/dlp/datasets/{dataset_id}/versions/{version}/entries/{entry_id}

This is used for multi-column EDMv2 datasets. The EDMv2 format can only be created in the Cloudflare dashboard.

ZeroTrust.DLP.Email

Zero TrustDLPEmail

Account Mapping

ZeroTrust.DLP.Email.AccountMapping

Methods

get(, ):
get/accounts/{account_id}/dlp/email/account_mapping

Get mapping

create(, ):
post/accounts/{account_id}/dlp/email/account_mapping

Create mapping

ZeroTrust.DLP.Email.Rules

Methods

list(, ): <>
get/accounts/{account_id}/dlp/email/rules

Lists all email scanner rules for an account.

get(, , ):
get/accounts/{account_id}/dlp/email/rules/{rule_id}

Get an email scanner rule

create(, ):
post/accounts/{account_id}/dlp/email/rules

Create email scanner rule

update(, , ):
put/accounts/{account_id}/dlp/email/rules/{rule_id}

Update email scanner rule

delete(, , ):
delete/accounts/{account_id}/dlp/email/rules/{rule_id}

Delete email scanner rule

bulkEdit(, ):
patch/accounts/{account_id}/dlp/email/rules

Update email scanner rule priorities

ZeroTrust.DLP.Entries

Methods

list(, ): <>
get/accounts/{account_id}/dlp/entries

Lists all DLP entries in an account.

get(, , ):
get/accounts/{account_id}/dlp/entries/{entry_id}

Fetches a DLP entry by ID.

create(, ):
post/accounts/{account_id}/dlp/entries

Creates a DLP custom entry.

update(, , ):
put/accounts/{account_id}/dlp/entries/{entry_id}

Updates a DLP entry.

delete(, , ): | null
delete/accounts/{account_id}/dlp/entries/{entry_id}

Deletes a DLP custom entry.

ZeroTrust.DLP.Entries.Custom

Methods

create(, ):
post/accounts/{account_id}/dlp/entries

Creates a DLP custom entry.

update(, , ):
put/accounts/{account_id}/dlp/entries/custom/{entry_id}

Updates a DLP custom entry.

delete(, , ): | null
delete/accounts/{account_id}/dlp/entries/{entry_id}

Deletes a DLP custom entry.

get(, , ):
get/accounts/{account_id}/dlp/entries/{entry_id}

Fetches a DLP entry by ID.

list(, ): <>
get/accounts/{account_id}/dlp/entries

Lists all DLP entries in an account.

ZeroTrust.DLP.Entries.Integration

Methods

create(, ):
post/accounts/{account_id}/dlp/entries/integration

Integration entries can't be created, this will update an existing integration entry. This is needed for our generated terraform API.

update(, , ):
put/accounts/{account_id}/dlp/entries/integration/{entry_id}

Updates a DLP entry.

delete(, , ): | null
delete/accounts/{account_id}/dlp/entries/integration/{entry_id}

This is a no-op as integration entires can't be deleted but is needed for our generated terraform API.

get(, , ):
get/accounts/{account_id}/dlp/entries/{entry_id}

Fetches a DLP entry by ID.

list(, ): <>
get/accounts/{account_id}/dlp/entries

Lists all DLP entries in an account.

ZeroTrust.DLP.Entries.Predefined

Methods

create(, ):
post/accounts/{account_id}/dlp/entries/predefined

Predefined entries can't be created, this will update an existing predefined entry. This is needed for our generated terraform API.

update(, , ):
put/accounts/{account_id}/dlp/entries/predefined/{entry_id}

Updates a DLP entry.

delete(, , ): | null
delete/accounts/{account_id}/dlp/entries/predefined/{entry_id}

This is a no-op as predefined entires can't be deleted but is needed for our generated terraform API.

get(, , ):
get/accounts/{account_id}/dlp/entries/{entry_id}

Fetches a DLP entry by ID.

list(, ): <>
get/accounts/{account_id}/dlp/entries

Lists all DLP entries in an account.

ZeroTrust.DLP.Limits

Methods

list(, ):
get/accounts/{account_id}/dlp/limits

Fetch limits associated with DLP for account

ZeroTrust.DLP.Patterns

Methods

validate(, ):
post/accounts/{account_id}/dlp/patterns/validate

Validates whether this pattern is a valid regular expression. Rejects it if the regular expression is too complex or can match an unbounded-length string. The regex will be rejected if it uses * or +. Bound the maximum number of characters that can be matched using a range, e.g. {1,100}.

Zero TrustDLP

Payload Logs

ZeroTrust.DLP.PayloadLogs

Methods

get(, ):
get/accounts/{account_id}/dlp/payload_log

Get payload log settings

update(, ):
put/accounts/{account_id}/dlp/payload_log

Set payload log settings

ZeroTrust.DLP.Profiles

Methods

list(, ): <>
get/accounts/{account_id}/dlp/profiles

Lists all DLP profiles in an account.

get(, , ):
get/accounts/{account_id}/dlp/profiles/{profile_id}

Fetches a DLP profile by ID.

Domain types

ContextAwareness{…}

Scan the context of predefined entries to only return matches surrounded by keywords.

SkipConfiguration{…}

Content types to exclude from context analysis and return all matches.

ZeroTrust.DLP.Profiles.Custom

Methods

get(, , ):
get/accounts/{account_id}/dlp/profiles/custom/{profile_id}

Fetches a custom DLP profile by id.

create(, ):
post/accounts/{account_id}/dlp/profiles/custom

Creates a DLP custom profile.

update(, , ):
put/accounts/{account_id}/dlp/profiles/custom/{profile_id}

Updates a DLP custom profile.

delete(, , ): | null
delete/accounts/{account_id}/dlp/profiles/custom/{profile_id}

Deletes a DLP custom profile.

Domain types

CustomProfile{…}
Pattern{…}

ZeroTrust.DLP.Profiles.Predefined

Methods

get(, , ):
get/accounts/{account_id}/dlp/profiles/predefined/{profile_id}/config

This is similar to get_predefined but only returns entries that are enabled. This is needed for our terraform API Fetches a predefined DLP profile by id.

update(, , ):
put/accounts/{account_id}/dlp/profiles/predefined/{profile_id}/config

This is similar to update_predefined but only returns entries that are enabled. This is needed for our terraform API Updates a DLP predefined profile. Only supports enabling/disabling entries.

delete(, , ): | null
delete/accounts/{account_id}/dlp/profiles/predefined/{profile_id}

This is a no-op as predefined profiles can't be deleted but is needed for our generated terraform API.

Domain types

PredefinedProfile{…}
Zero Trust

Gateway

ZeroTrust.Gateway

Methods

list(, ):
get/accounts/{account_id}/gateway

Retrieve information about the current Zero Trust account.

create(, ):
post/accounts/{account_id}/gateway

Create a Zero Trust account for an existing Cloudflare account.

ZeroTrust.Gateway.AppTypes

Methods

list(, ): <>
get/accounts/{account_id}/gateway/app_types

List all application and application type mappings.

Zero TrustGateway

Audit SSH Settings

ZeroTrust.Gateway.AuditSSHSettings

Methods

get(, ):
get/accounts/{account_id}/gateway/audit_ssh_settings

Retrieve all Zero Trust Audit SSH and SSH with Access for Infrastructure settings for an account.

update(, ):
put/accounts/{account_id}/gateway/audit_ssh_settings

Update Zero Trust Audit SSH and SSH with Access for Infrastructure settings for an account.

rotateSeed(, ):
post/accounts/{account_id}/gateway/audit_ssh_settings/rotate_seed

Rotate the SSH account seed that generates the host key identity when connecting through the Cloudflare SSH Proxy.

Domain types

GatewaySettings{…}

ZeroTrust.Gateway.Categories

Methods

list(, ): <>
get/accounts/{account_id}/gateway/categories

List all categories.

Domain types

Category{…}
Zero TrustGateway

Certificates

ZeroTrust.Gateway.Certificates

Methods

list(, ): <>
get/accounts/{account_id}/gateway/certificates

List all Zero Trust certificates for an account.

get(, , ):
get/accounts/{account_id}/gateway/certificates/{certificate_id}

Get a single Zero Trust certificate.

create(, ):
post/accounts/{account_id}/gateway/certificates

Create a new Zero Trust certificate.

delete(, , ):
delete/accounts/{account_id}/gateway/certificates/{certificate_id}

Delete a gateway-managed Zero Trust certificate. You must deactivate the certificate from the edge (inactive) before deleting it.

activate(, , ):
post/accounts/{account_id}/gateway/certificates/{certificate_id}/activate

Bind a single Zero Trust certificate to the edge.

deactivate(, , ):
post/accounts/{account_id}/gateway/certificates/{certificate_id}/deactivate

Unbind a single Zero Trust certificate from the edge.

Zero TrustGateway

Configurations

ZeroTrust.Gateway.Configurations

Methods

get(, ):
get/accounts/{account_id}/gateway/configuration

Retrieve the current Zero Trust account configuration.

update(, ):
put/accounts/{account_id}/gateway/configuration

Update the current Zero Trust account configuration.

edit(, ):
patch/accounts/{account_id}/gateway/configuration

Update (PATCH) a single subcollection of settings such as antivirus, tls_decrypt, activity_log, block_page, browser_isolation, fips, body_scanning, or certificate without updating the entire configuration object. This endpoint returns an error if any settings collection lacks proper configuration.

Domain types

ActivityLogSettings{…}

Specify activity log settings.

AntiVirusSettings{…}

Specify anti-virus settings.

BlockPageSettings{…}

Specify block page layout settings.

BodyScanningSettings{…}

Specify the DLP inspection mode.

BrowserIsolationSettings{…}

Specify Clientless Browser Isolation settings.

CustomCertificateSettings{…}

Specify custom certificate settings for BYO-PKI. This field is deprecated; use certificate instead.

ExtendedEmailMatching{…}

Configures user email settings for firewall policies. When you enable this, the system standardizes email addresses in the identity portion of the rule to match extended email variants in firewall policies. When you disable this setting, the system matches email addresses exactly as you provide them. Enable this setting if your email uses . or + modifiers.

FipsSettings{…}

Specify FIPS settings.

GatewayConfigurationSettings{…}

Specify account settings.

NotificationSettings{…}

Configure the message the user's device shows during an antivirus scan.

ProtocolDetection{…}

Specify whether to detect protocols from the initial bytes of client traffic.

TLSSettings{…}

Specify whether to inspect encrypted HTTP traffic.

ZeroTrust.Gateway.Configurations.CustomCertificate

Methods

get(, ): | null
Deprecated
get/accounts/{account_id}/gateway/configuration/custom_certificate

Retrieve the current Zero Trust certificate configuration.

ZeroTrust.Gateway.Lists

Methods

list(, ): <>
get/accounts/{account_id}/gateway/lists

Fetch all Zero Trust lists for an account.

get(, , ):
get/accounts/{account_id}/gateway/lists/{list_id}

Fetch a single Zero Trust list.

create(, ):
post/accounts/{account_id}/gateway/lists

Creates a new Zero Trust list.

update(, , ):
put/accounts/{account_id}/gateway/lists/{list_id}

Updates a configured Zero Trust list. Skips updating list items if not included in the payload. A non empty list items will overwrite the existing list.

edit(, , ):
patch/accounts/{account_id}/gateway/lists/{list_id}

Appends or removes an item from a configured Zero Trust list.

delete(, , ):
delete/accounts/{account_id}/gateway/lists/{list_id}

Deletes a Zero Trust list.

Domain types

GatewayItem{…}
GatewayList{…}

ZeroTrust.Gateway.Lists.Items

Methods

list(, , ): <>
get/accounts/{account_id}/gateway/lists/{list_id}/items

Fetch all items in a single Zero Trust list.

ZeroTrust.Gateway.Locations

Methods

list(, ): <>
get/accounts/{account_id}/gateway/locations

List Zero Trust Gateway locations for an account.

get(, , ):
get/accounts/{account_id}/gateway/locations/{location_id}

Get a single Zero Trust Gateway location.

create(, ):
post/accounts/{account_id}/gateway/locations

Create a new Zero Trust Gateway location.

update(, , ):
put/accounts/{account_id}/gateway/locations/{location_id}

Update a configured Zero Trust Gateway location.

delete(, , ):
delete/accounts/{account_id}/gateway/locations/{location_id}

Delete a configured Zero Trust Gateway location.

Domain types

DOHEndpoint{…}
DOTEndpoint{…}
Endpoint{…}

Configure the destination endpoints for this location.

IPNetwork{…}
IPV4Endpoint{…}
IPV6Endpoint{…}
IPV6Network{…}
Location{…}

ZeroTrust.Gateway.Logging

Methods

get(, ):
get/accounts/{account_id}/gateway/logging

Retrieve the current logging settings for the Zero Trust account.

update(, ):
put/accounts/{account_id}/gateway/logging

Update logging settings for the current Zero Trust account.

Domain types

LoggingSetting{…}
Zero TrustGateway

Proxy Endpoints

ZeroTrust.Gateway.ProxyEndpoints

Methods

list(, ): <>
get/accounts/{account_id}/gateway/proxy_endpoints

List all Zero Trust Gateway proxy endpoints for an account.

get(, , ):
get/accounts/{account_id}/gateway/proxy_endpoints/{proxy_endpoint_id}

Get a single Zero Trust Gateway proxy endpoint.

create(, ):
post/accounts/{account_id}/gateway/proxy_endpoints

Create a new Zero Trust Gateway proxy endpoint.

edit(, , ):
patch/accounts/{account_id}/gateway/proxy_endpoints/{proxy_endpoint_id}

Update a configured Zero Trust Gateway proxy endpoint.

delete(, , ):
delete/accounts/{account_id}/gateway/proxy_endpoints/{proxy_endpoint_id}

Delete a configured Zero Trust Gateway proxy endpoint.

Domain types

GatewayIPs = string

Specify an IPv4 or IPv6 CIDR. Limit IPv6 to a maximum of /109 and IPv4 to a maximum of /25.

ZeroTrust.Gateway.Rules

Methods

list(, ): <>
get/accounts/{account_id}/gateway/rules

List Zero Trust Gateway rules for an account.

get(, , ):
get/accounts/{account_id}/gateway/rules/{rule_id}

Get a single Zero Trust Gateway rule.

create(, ):
post/accounts/{account_id}/gateway/rules

Create a new Zero Trust Gateway rule.

update(, , ):
put/accounts/{account_id}/gateway/rules/{rule_id}

Update a configured Zero Trust Gateway rule.

delete(, , ):
delete/accounts/{account_id}/gateway/rules/{rule_id}

Delete a Zero Trust Gateway rule.

listTenant(, ): <>
get/accounts/{account_id}/gateway/rules/tenant

List Zero Trust Gateway rules for the parent account of an account in the MSP configuration.

resetExpiration(, , ):
post/accounts/{account_id}/gateway/rules/{rule_id}/reset_expiration

Resets the expiration of a Zero Trust Gateway Rule if its duration elapsed and it has a default duration. The Zero Trust Gateway Rule must have values for both expiration.expires_at and expiration.duration.

Domain types

DNSResolverSettingsV4{…}
DNSResolverSettingsV6{…}
GatewayFilter = "http" | "dns" | "l4" | 2 more...

Specify the protocol or layer to use.

GatewayRule{…}
RuleSetting{…}

Defines settings for this rule. Settings apply only to specific rule types and must use compatible selectors. If Terraform detects drift, confirm the setting supports your rule type and check whether the API modifies the value. Use API-returned values in your configuration to prevent drift.

Schedule{…}

Defines the schedule for activating DNS policies. Settable only for dns and dns_resolver rules.

Zero Trust

Identity Providers

ZeroTrust.IdentityProviders

Methods

list(, ): <>
get/{accounts_or_zones}/{account_or_zone_id}/access/identity_providers

Lists all configured identity providers.

get(, , ):
get/{accounts_or_zones}/{account_or_zone_id}/access/identity_providers/{identity_provider_id}

Fetches a configured identity provider.

create(, ):
post/{accounts_or_zones}/{account_or_zone_id}/access/identity_providers

Adds a new identity provider to Access.

update(, , ):
put/{accounts_or_zones}/{account_or_zone_id}/access/identity_providers/{identity_provider_id}

Updates a configured identity provider.

delete(, , ):
delete/{accounts_or_zones}/{account_or_zone_id}/access/identity_providers/{identity_provider_id}

Deletes an identity provider from Access.

Domain types

AzureAD{…}
GenericOAuthConfig{…}
IdentityProvider = | | | 11 more...
IdentityProviderSCIMConfig{…}

The configuration settings for enabling a System for Cross-Domain Identity Management (SCIM) with the identity provider.

IdentityProviderType = "onetimepin" | "azureAD" | "saml" | 11 more...

The type of identity provider. To determine the value for a specific provider, refer to our developer documentation.

ZeroTrust.IdentityProviders.SCIM

ZeroTrust.IdentityProviders.SCIM.Groups

Methods

list(, , ): <>
get/accounts/{account_id}/access/identity_providers/{identity_provider_id}/scim/groups

Lists SCIM Group resources synced to Cloudflare via the System for Cross-domain Identity Management (SCIM).

ZeroTrust.IdentityProviders.SCIM.Users

Methods

list(, , ): <>
get/accounts/{account_id}/access/identity_providers/{identity_provider_id}/scim/users

Lists SCIM User resources synced to Cloudflare via the System for Cross-domain Identity Management (SCIM).

Zero Trust

Networks

ZeroTrust.Networks

Zero TrustNetworks

Hostname Routes

ZeroTrust.Networks.HostnameRoutes

Methods

list(, ): <>
get/accounts/{account_id}/zerotrust/routes/hostname

Lists and filters hostname routes in an account.

get(, , ):
get/accounts/{account_id}/zerotrust/routes/hostname/{hostname_route_id}

Get a hostname route.

create(, ):
post/accounts/{account_id}/zerotrust/routes/hostname

Create a hostname route.

edit(, , ):
patch/accounts/{account_id}/zerotrust/routes/hostname/{hostname_route_id}

Updates a hostname route.

delete(, , ):
delete/accounts/{account_id}/zerotrust/routes/hostname/{hostname_route_id}

Delete a hostname route.

Domain types

HostnameRoute{…}

ZeroTrust.Networks.Routes

Methods

list(, ): <>
get/accounts/{account_id}/teamnet/routes

Lists and filters private network routes in an account.

get(, , ):
get/accounts/{account_id}/teamnet/routes/{route_id}

Get a private network route in an account.

create(, ):
post/accounts/{account_id}/teamnet/routes

Routes a private network through a Cloudflare Tunnel.

edit(, , ):
patch/accounts/{account_id}/teamnet/routes/{route_id}

Updates an existing private network route in an account. The fields that are meant to be updated should be provided in the body of the request.

delete(, , ):
delete/accounts/{account_id}/teamnet/routes/{route_id}

Deletes a private network route from an account.

Domain types

NetworkRoute{…}
Route{…}
Teamnet{…}

ZeroTrust.Networks.Routes.IPs

Methods

get(, , ):
get/accounts/{account_id}/teamnet/routes/ip/{ip}

Fetches routes that contain the given IP address.

ZeroTrust.Networks.Routes.Networks

Methods

create(, , ):
Deprecated
post/accounts/{account_id}/teamnet/routes/network/{ip_network_encoded}

Deprecated

This endpoint and its related APIs are deprecated in favor of the equivalent Tunnel Route (without CIDR) APIs.

Routes a private network through a Cloudflare Tunnel. The CIDR in ip_network_encoded must be written in URL-encoded format.

edit(, , ):
Deprecated
patch/accounts/{account_id}/teamnet/routes/network/{ip_network_encoded}

Deprecated

This endpoint and its related APIs are deprecated in favor of the equivalent Tunnel Route (without CIDR) APIs.

Updates an existing private network route in an account. The CIDR in ip_network_encoded must be written in URL-encoded format.

delete(, , ):
Deprecated
delete/accounts/{account_id}/teamnet/routes/network/{ip_network_encoded}

Deprecated

This endpoint and its related APIs are deprecated in favor of the equivalent Tunnel Route (without CIDR) APIs.

Deletes a private network route from an account. The CIDR in ip_network_encoded must be written in URL-encoded format. If no virtual_network_id is provided it will delete the route from the default vnet. If no tun_type is provided it will fetch the type from the tunnel_id or if that is missing it will assume Cloudflare Tunnel as default. If tunnel_id is provided it will delete the route from that tunnel, otherwise it will delete the route based on the vnet and tun_type.

ZeroTrust.Networks.Subnets

Methods

list(, ): <>
get/accounts/{account_id}/zerotrust/subnets

Lists and filters subnets in an account.

Zero TrustNetworksSubnets

Cloudflare Source

ZeroTrust.Networks.Subnets.CloudflareSource

Methods

update(, , ):
patch/accounts/{account_id}/zerotrust/subnets/cloudflare_source/{address_family}

Updates the Cloudflare Source subnet of the given address family

Zero TrustNetworks

Virtual Networks

ZeroTrust.Networks.VirtualNetworks

Methods

list(, ): <>
get/accounts/{account_id}/teamnet/virtual_networks

Lists and filters virtual networks in an account.

get(, , ):
get/accounts/{account_id}/teamnet/virtual_networks/{virtual_network_id}

Get a virtual network.

create(, ):
post/accounts/{account_id}/teamnet/virtual_networks

Adds a new virtual network to an account.

edit(, , ):
patch/accounts/{account_id}/teamnet/virtual_networks/{virtual_network_id}

Updates an existing virtual network.

delete(, , ):
delete/accounts/{account_id}/teamnet/virtual_networks/{virtual_network_id}

Deletes an existing virtual network.

Domain types

VirtualNetwork{…}
Zero Trust

Organizations

ZeroTrust.Organizations

Methods

list(, ):
get/{accounts_or_zones}/{account_or_zone_id}/access/organizations

Returns the configuration for your Zero Trust organization.

create(, ):
post/{accounts_or_zones}/{account_or_zone_id}/access/organizations

Sets up a Zero Trust organization for your account or zone.

update(, ):
put/{accounts_or_zones}/{account_or_zone_id}/access/organizations

Updates the configuration for your Zero Trust organization.

revokeUsers(, ):
post/{accounts_or_zones}/{account_or_zone_id}/access/organizations/revoke_user

Revokes a user's access across all applications.

Domain types

LoginDesign{…}
Organization{…}

ZeroTrust.Organizations.DOH

Methods

get(, ):
get/accounts/{account_id}/access/organizations/doh

Returns the DoH settings for your Zero Trust organization.

update(, ):
put/accounts/{account_id}/access/organizations/doh

Updates the DoH settings for your Zero Trust organization.

Zero Trust

Risk Scoring

ZeroTrust.RiskScoring

Methods

get(, , ):
get/accounts/{account_id}/zt_risk_scoring/{user_id}

Get risk event/score information for a specific user

reset(, , ): | null
post/accounts/{account_id}/zt_risk_scoring/{user_id}/reset

Clear the risk score for a particular user

ZeroTrust.RiskScoring.Behaviours

Methods

get(, ):
get/accounts/{account_id}/zt_risk_scoring/behaviors

Get all behaviors and associated configuration

update(, ):
put/accounts/{account_id}/zt_risk_scoring/behaviors

Update configuration for risk behaviors

ZeroTrust.RiskScoring.Integrations

Methods

list(, ): <>
get/accounts/{account_id}/zt_risk_scoring/integrations

List all risk score integrations for the account.

get(, , ):
get/accounts/{account_id}/zt_risk_scoring/integrations/{integration_id}

Get risk score integration by id.

create(, ):
post/accounts/{account_id}/zt_risk_scoring/integrations

Create new risk score integration.

update(, , ):
put/accounts/{account_id}/zt_risk_scoring/integrations/{integration_id}

Overwrite the reference_id, tenant_url, and active values with the ones provided.

delete(, , ): | null
delete/accounts/{account_id}/zt_risk_scoring/integrations/{integration_id}

Delete a risk score integration.

ZeroTrust.RiskScoring.Integrations.References

Methods

get(, , ):
get/accounts/{account_id}/zt_risk_scoring/integrations/reference_id/{reference_id}

Get risk score integration by reference id.

ZeroTrust.RiskScoring.Summary

Methods

get(, ):
get/accounts/{account_id}/zt_risk_scoring/summary

Get risk score info for all users in the account

ZeroTrust.Seats

Methods

edit(, ): <>
patch/accounts/{account_id}/access/seats

Removes a user from a Zero Trust seat when both access_seat and gateway_seat are set to false.

Domain types

Seat{…}
Zero Trust

Tunnels

ZeroTrust.Tunnels

Methods

list(, ): <>
get/accounts/{account_id}/tunnels

Lists and filters all types of Tunnels in an account.

Domain types

Connection{…}

ZeroTrust.Tunnels.Cloudflared

Methods

list(, ): <>
get/accounts/{account_id}/cfd_tunnel

Lists and filters Cloudflare Tunnels in an account.

get(, , ):
get/accounts/{account_id}/cfd_tunnel/{tunnel_id}

Fetches a single Cloudflare Tunnel.

create(, ):
post/accounts/{account_id}/cfd_tunnel

Creates a new Cloudflare Tunnel in an account.

edit(, , ):
patch/accounts/{account_id}/cfd_tunnel/{tunnel_id}

Updates an existing Cloudflare Tunnel.

delete(, , ):
delete/accounts/{account_id}/cfd_tunnel/{tunnel_id}

Deletes a Cloudflare Tunnel from an account.

ZeroTrust.Tunnels.Cloudflared.Configurations

Methods

get(, , ):
get/accounts/{account_id}/cfd_tunnel/{tunnel_id}/configurations

Gets the configuration for a remotely-managed tunnel

update(, , ):
put/accounts/{account_id}/cfd_tunnel/{tunnel_id}/configurations

Adds or updates the configuration for a remotely-managed tunnel.

ZeroTrust.Tunnels.Cloudflared.Connections

Methods

get(, , ): <>
get/accounts/{account_id}/cfd_tunnel/{tunnel_id}/connections

Fetches connection details for a Cloudflare Tunnel.

delete(, , ): | null
delete/accounts/{account_id}/cfd_tunnel/{tunnel_id}/connections

Removes a connection (aka Cloudflare Tunnel Connector) from a Cloudflare Tunnel independently of its current state. If no connector id (client_id) is provided all connectors will be removed. We recommend running this command after rotating tokens.

Domain types

Client{…}

A client (typically cloudflared) that maintains connections to a Cloudflare data center.

ZeroTrust.Tunnels.Cloudflared.Connectors

Methods

get(, , , ):
get/accounts/{account_id}/cfd_tunnel/{tunnel_id}/connectors/{connector_id}

Fetches connector and connection details for a Cloudflare Tunnel.

ZeroTrust.Tunnels.Cloudflared.Management

Methods

create(, , ):
post/accounts/{account_id}/cfd_tunnel/{tunnel_id}/management

Gets a management token used to access the management resources (i.e. Streaming Logs) of a tunnel.

ZeroTrust.Tunnels.Cloudflared.Token

Methods

get(, , ):
get/accounts/{account_id}/cfd_tunnel/{tunnel_id}/token

Gets the token used to associate cloudflared with a specific tunnel.

Zero TrustTunnels

WARP Connector

ZeroTrust.Tunnels.WARPConnector

Methods

list(, ): <>
get/accounts/{account_id}/warp_connector

Lists and filters Warp Connector Tunnels in an account.

get(, , ):
get/accounts/{account_id}/warp_connector/{tunnel_id}

Fetches a single Warp Connector Tunnel.

create(, ):
post/accounts/{account_id}/warp_connector

Creates a new Warp Connector Tunnel in an account.

edit(, , ):
patch/accounts/{account_id}/warp_connector/{tunnel_id}

Updates an existing Warp Connector Tunnel.

delete(, , ):
delete/accounts/{account_id}/warp_connector/{tunnel_id}

Deletes a Warp Connector Tunnel from an account.

ZeroTrust.Tunnels.WARPConnector.Token

Methods

get(, , ):
get/accounts/{account_id}/warp_connector/{tunnel_id}/token

Gets the token used to associate warp device with a specific Warp Connector tunnel.